# 环境配置
server:
  port: 9001
  servlet:
    context-path: /api

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    hibernate:
      ddl-auto: none      # JPA对表没有任何操作
    show-sql: true
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

## 索迪斯

## dingtalk
#dingtalk:
#  agentId: 1963716187
#  appKey: ding8qyulwwmad6j7k6c
#  appSecret: e_hRHuubw-Xi0OuPJOYdXSElVzOC0IPgMrHQTBuAM9BqW-DFnrcsSyBHi7Me3xSv
#  corpId: ding321c72787fffc78b35c2f4657eb6378f
#  aesKey:
#  token:
#  operator: "095358016629044412"   # 牧语[开头需要转一下字符串], OA管理员账号
#
## aliwork
#aliwork:
#  appType: APP_YH7W0E5637YUBU5UJ837
#  systemToken: IC766WA11EW8BMOPBEZZMBA4MPUQ214JDL7FLC9


## 厦门象屿 - 股份门户
# dingtalk
dingtalk:
  agentId: 4091040619
  appKey: ding7mjaj6fjhuzyij8k
  appSecret: j9L0F3yzN4gpdMDpuCxW0dVSOwFHEfmrPUMtNXFu5IWvQDu0qGdfZ9-R3SO_LBa5
  corpId: dingb68b6b0ff271114ff2c783f7214b6d69
  aesKey: n7HjQmK8EKFWgEZyU13FQtbIeFcKueRsh82DhaMWvmu
  token: JjrmLlIUrBCBFhGEnX3xaK7vXobGwd
  operator: ""   # 林壹[开头需要转一下字符串], OA管理员账号

# aliwork
aliwork:
  appType: APP_YH7W0E5637YUBU5UJ837
  systemToken: IC766WA11EW8BMOPBEZZMBA4MPUQ214JDL7FLC9


